From 9401aebd2d826e3e5fe8d3d89cdc4bce60b09430 Mon Sep 17 00:00:00 2001
From: John Chapman <John.Chapman@cern.ch>
Date: Fri, 21 Mar 2025 13:31:30 +0100
Subject: [PATCH 1/2] AthenaConfiguration.TestDefaults Adding 100 event inputs
 for MC23d tests

Also update relevant clients to use the new constants.

Future work: add inputs for mc23e and HI campaigns.
---
 .../python/TestDefaults.py                    | 13 +++-
 .../test/test_mc23_heavy_ion.sh               |  2 +-
 .../test/test_mc23a_13p6TeV.sh                |  4 +-
 .../test/test_mc23d_13p6TeV.sh                |  4 +-
 .../python/OverlayTestHelpers.py              |  4 +-
 ...t_Digi_tf_mc23d_presampling_variable_MP.sh | 63 +++++++++++++++++++
 6 files changed, 80 insertions(+), 10 deletions(-)
 create mode 100755 Simulation/Tests/DigitizationTestsMT/test/test_Digi_tf_mc23d_presampling_variable_MP.sh

diff --git a/Control/AthenaConfiguration/python/TestDefaults.py b/Control/AthenaConfiguration/python/TestDefaults.py
index ebb063585e54..958831de5b5f 100644
--- a/Control/AthenaConfiguration/python/TestDefaults.py
+++ b/Control/AthenaConfiguration/python/TestDefaults.py
@@ -1,4 +1,4 @@
-# Copyright (C) 2002-2024 CERN for the benefit of the ATLAS collaboration
+# Copyright (C) 2002-2025 CERN for the benefit of the ATLAS collaboration
 # Files for use in configuration unit tests
 
 # These samples can be access via shell script through commands such as:
@@ -11,7 +11,11 @@ class defaultTestFiles:
     EVNT = [f"{d}/CampaignInputs/mc23/EVNT/mc23_13p6TeV.601229.PhPy8EG_A14_ttbar_hdamp258p75_SingleLep.evgen.EVNT.e8514/EVNT.32288062._002040.pool.root.1"]
 
     HITS_RUN2 = [f"{d}/Tier0ChainTests/mc16_13TeV.410470.PhPy8EG_A14_ttbar_hdamp258p75_nonallhad.simul.HITS.e6337_s3681/HITS.25836812._004813.pool.root.1"] #MC20
-    HITS_RUN3 = [f"{d}/CampaignInputs/mc23/HITS/mc23_13p6TeV.601229.PhPy8EG_A14_ttbar_hdamp258p75_SingleLep.simul.HITS.e8514_s4162/100events.HITS.pool.root"] #MC23a
+    HITS_RUN3_2022 = [f"{d}/CampaignInputs/mc23/HITS/mc23_13p6TeV.601229.PhPy8EG_A14_ttbar_hdamp258p75_SingleLep.simul.HITS.e8514_s4162/100events.HITS.pool.root"] #MC23a
+    HITS_RUN3_2023 = [f"{d}/CampaignInputs/mc23/HITS/mc23_13p6TeV.601229.PhPy8EG_A14_ttbar_hdamp258p75_SingleLep.merge.HITS.e8514_e8528_s4159/100events.HITS.pool.root"] #MC23d
+    HITS_RUN3_2024 = HITS_RUN3_2022 # Temporary back-compatibility [f"{d}/CampaignInputs/mc23/HITS/mc23_13p6TeV.601229.PhPy8EG_A14_ttbar_hdamp258p75_SingleLep.merge.HITS.e8514_e8528_s4369/100events.HITS.pool.root"] #MC23e
+    HITS_RUN3_HI = HITS_RUN3_2022 # Temporary back-compatibility
+    HITS_RUN3 = HITS_RUN3_2022 # Temporary back-compatibility
     HITS_RUN4 = [f"{d}/PhaseIIUpgrade/HITS/ATLAS-P2-RUN4-03-00-00/mc21_14TeV.601229.PhPy8EG_A14_ttbar_hdamp258p75_SingleLep.simul.HITS.e8481_s4149/HITS.33605501._000106.pool.root.1"]
     HITS_RUN2_MINBIAS_HIGH = [
         f"{d}/Tier0ChainTests/mc16_13TeV.800831.Py8EG_minbias_inelastic_highjetphotonlepton.simul.HITS_FILT.e8341_s3687_s3704/HITS_FILT.26106512._000149.pool.root.1",
@@ -43,7 +47,10 @@ class defaultTestFiles:
     RDO_RUN3 = [f"{d}/CampaignInputs/mc23/RDO/mc23_13p6TeV.801451.Py8EG_A3_NNPDF23LO_minbias_ND.recon.RDO.e8486_e8528_s4232_s4114_r15112/300events_RDO.39752217._004082.pool.root.1"] #low-mu minbias sample
     RDO_RUN4 = [f"{d}/PhaseIIUpgrade/RDO/ATLAS-P2-RUN4-03-00-00/mc21_14TeV.601229.PhPy8EG_A14_ttbar_hdamp258p75_SingleLep.recon.RDO.e8481_s4149_r14700/RDO.33629020._000047.pool.root.1"]
     RDO_BKG_RUN2 = [f"{d}/OverlayTests/PresampledPileUp/22.0/Run2/large/mc20_13TeV.900149.PG_single_nu_Pt50.digit.RDO.e8307_s3482_s3136_d1715/RDO.26811908._031801.pool.root.1"]
-    RDO_BKG_RUN3 = [f"{d}/CampaignInputs/mc23/RDO_BKG/mc23_13p6TeV.900149.PG_single_nu_Pt50.merge.RDO.e8514_e8528_s4112_d1865_d1858/100events.RDO.pool.root"]
+    RDO_BKG_RUN3_2022 = [f"{d}/CampaignInputs/mc23/RDO_BKG/mc23_13p6TeV.900149.PG_single_nu_Pt50.merge.RDO.e8514_e8528_s4112_d1865_d1858/100events.RDO.pool.root"] #mc23a
+    RDO_BKG_RUN3_2023 = [f"{d}/CampaignInputs/mc23/RDO_BKG/mc23_13p6TeV.900149.PG_single_nu_Pt50.merge.RDO.e8514_e8528_s4153_d1907_d1908/100events.RDO.pool.root"] #mc23d
+    RDO_BKG_RUN3_2024 = RDO_BKG_2022 # Temporary Back-compatibility
+    RDO_BKG_RUN3 = RDO_BKG_2022 # Temporary Back-compatibility
     RDO_BKG_RUN4 = [f"{d}/PhaseIIUpgrade/RDO_BKG/ATLAS-P2-RUN4-03-00-00/RUN4_presampling.mu200.withSuperCell.50events.RDO.pool.root"]
 
     ESD_RUN2_MC = [f"{d}/RecExRecoTest/mc16_13TeV.361022.Pythia8EvtGen_A14NNPDF23LO_jetjet_JZ2W.recon.ESD.e3668_s3170_r10572_homeMade.pool.root"] # MC16 TODO Update to MC20
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23_heavy_ion.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23_heavy_ion.sh
index e9085bb75e41..46b9730381d8 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23_heavy_ion.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23_heavy_ion.sh
@@ -8,7 +8,7 @@
 
 # TODO update following ATLASRECTS-8054
 export ATHENA_CORE_NUMBER=8
-INPUTFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.HITS_RUN3[0])")
+INPUTFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.HITS_RUN3_HI[0])")
 CONDTAG=$(python -c "from AthenaConfiguration.TestDefaults import defaultConditionsTags; print(defaultConditionsTags.RUN3_MC)")
 
 Reco_tf.py --CA "all:True" --multithreaded --maxEvents=20 --autoConfiguration 'everything' \
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23a_13p6TeV.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23a_13p6TeV.sh
index 7774cbb14304..23e74757c98f 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23a_13p6TeV.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23a_13p6TeV.sh
@@ -8,10 +8,10 @@
 # art-include: 24.0/Athena
 
 export ATHENA_CORE_NUMBER=8
-INPUTFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.HITS_RUN3[0])")
+INPUTFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.HITS_RUN3_2022[0])")
 CONDTAG=$(python -c "from AthenaConfiguration.TestDefaults import defaultConditionsTags; print(defaultConditionsTags.RUN3_MC)")
 GEOTAG=$(python -c "from AthenaConfiguration.TestDefaults import defaultGeometryTags; print(defaultGeometryTags.RUN3)")
-BKGFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.RDO_BKG_RUN3[0])")
+BKGFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.RDO_BKG_RUN3_2022[0])")
 
 Reco_tf.py --CA "default:True" "RDOtoRDOTrigger:False" \
            --multithreaded --maxEvents=300 \
diff --git a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23d_13p6TeV.sh b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23d_13p6TeV.sh
index 14725abc9975..709e5867f1f1 100755
--- a/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23d_13p6TeV.sh
+++ b/Reconstruction/RecExample/RecJobTransformTests/test/test_mc23d_13p6TeV.sh
@@ -8,10 +8,10 @@
 # art-include: 24.0/Athena
 
 export ATHENA_CORE_NUMBER=8
-INPUTFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.HITS_RUN3[0])")
+INPUTFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.HITS_RUN3_2023[0])")
 CONDTAG=$(python -c "from AthenaConfiguration.TestDefaults import defaultConditionsTags; print(defaultConditionsTags.RUN3_MC)")
 GEOTAG=$(python -c "from AthenaConfiguration.TestDefaults import defaultGeometryTags; print(defaultGeometryTags.RUN3)")
-BKGFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.RDO_BKG_RUN3[0])")
+BKGFILE=$(python -c "from AthenaConfiguration.TestDefaults import defaultTestFiles; print(defaultTestFiles.RDO_BKG_RUN3_2023[0])")
 
 #TODO update input files from mc23d campaign when available
 
diff --git a/Simulation/Overlay/OverlayConfiguration/python/OverlayTestHelpers.py b/Simulation/Overlay/OverlayConfiguration/python/OverlayTestHelpers.py
index 79ddc796fc86..c6f5f1e76999 100644
--- a/Simulation/Overlay/OverlayConfiguration/python/OverlayTestHelpers.py
+++ b/Simulation/Overlay/OverlayConfiguration/python/OverlayTestHelpers.py
@@ -67,8 +67,8 @@ def overlayTestFlags(flags, args):
             from Campaigns import MC20e
             MC20e(flags)
         elif args.run is LHCPeriod.Run3:
-            flags.Input.Files = defaultTestFiles.RDO_BKG_RUN3
-            flags.Input.SecondaryFiles = defaultTestFiles.HITS_RUN3
+            flags.Input.Files = defaultTestFiles.RDO_BKG_RUN3_2022
+            flags.Input.SecondaryFiles = defaultTestFiles.HITS_RUN3_2022
             flags.IOVDb.GlobalTag = defaultConditionsTags.RUN3_MC
             from Campaigns import MC23a
             MC23a(flags)
diff --git a/Simulation/Tests/DigitizationTestsMT/test/test_Digi_tf_mc23d_presampling_variable_MP.sh b/Simulation/Tests/DigitizationTestsMT/test/test_Digi_tf_mc23d_presampling_variable_MP.sh
new file mode 100755
index 000000000000..6605fdb2b587
--- /dev/null
+++ b/Simulation/Tests/DigitizationTestsMT/test/test_Digi_tf_mc23d_presampling_variable_MP.sh
@@ -0,0 +1,63 @@
+#!/bin/bash
+#
+# art-description: Run a digitization example of mc23d presampling
+# art-type: grid
+# art-architecture:  '#x86_64-intel'
+# art-memory: 4096
+# art-athena-mt: 8
+# art-include: 24.0/Athena
+# art-include: main/Athena
+# art-output: mc23d_presampling.VarBS.RDO.pool.root
+# art-output: log.*
+# art-output: DigiPUConfig*
+
+if [ -z ${ATLAS_REFERENCE_DATA+x} ]; then
+  ATLAS_REFERENCE_DATA="/cvmfs/atlas-nightlies.cern.ch/repo/data/data-art"
+fi
+
+Events=100
+DigiOutFileName="mc23d_presampling.VarBS.RDO.pool.root"
+HSHitsFile="${ATLAS_REFERENCE_DATA}/CampaignInputs/mc23/HITS/mc23_13p6TeV.900149.PG_single_nu_Pt50.simul.HITS.e8514_e8528_s4153/10000events.HITS.pool.root"
+HighPtMinbiasHitsFiles1="${ATLAS_REFERENCE_DATA}/CampaignInputs/mc23/HITS/mc23_13p6TeV.800831.Py8EG_minbias_inelastic_highjetphotonlepton.merge.HITS.e8514_e8528_s4154_s4120/*"
+HighPtMinbiasHitsFiles2="${ATLAS_REFERENCE_DATA}/CampaignInputs/mc23/HITS/mc23_13p6TeV.800831.Py8EG_minbias_inelastic_highjetphotonlepton.merge.HITS.e8514_e8528_s4155_s4120/*"
+HighPtMinbiasHitsFiles3="${ATLAS_REFERENCE_DATA}/CampaignInputs/mc23/HITS/mc23_13p6TeV.800831.Py8EG_minbias_inelastic_highjetphotonlepton.merge.HITS.e8514_e8528_s4156_s4120/*"
+HighPtMinbiasHitsFiles4="${ATLAS_REFERENCE_DATA}/CampaignInputs/mc23/HITS/mc23_13p6TeV.800831.Py8EG_minbias_inelastic_highjetphotonlepton.merge.HITS.e8514_e8528_s4157_s4120/*"
+LowPtMinbiasHitsFiles1="${ATLAS_REFERENCE_DATA}/CampaignInputs/mc23/HITS/mc23_13p6TeV.900311.Epos_minbias_inelastic_lowjetphoton.merge.HITS.e8514_e8528_s4154_s4120/*"
+LowPtMinbiasHitsFiles2="${ATLAS_REFERENCE_DATA}/CampaignInputs/mc23/HITS/mc23_13p6TeV.900311.Epos_minbias_inelastic_lowjetphoton.merge.HITS.e8514_e8528_s4155_s4120/*"
+LowPtMinbiasHitsFiles3="${ATLAS_REFERENCE_DATA}/CampaignInputs/mc23/HITS/mc23_13p6TeV.900311.Epos_minbias_inelastic_lowjetphoton.merge.HITS.e8514_e8528_s4156_s4120/*"
+LowPtMinbiasHitsFiles4="${ATLAS_REFERENCE_DATA}/CampaignInputs/mc23/HITS/mc23_13p6TeV.900311.Epos_minbias_inelastic_lowjetphoton.merge.HITS.e8514_e8528_s4157_s4120/*"
+geometry=$(python -c "from AthenaConfiguration.TestDefaults import defaultGeometryTags; print(defaultGeometryTags.RUN3)")
+conditions=$(python -c "from AthenaConfiguration.TestDefaults import defaultConditionsTags; print(defaultConditionsTags.RUN3_MC)")
+Digi_tf.py \
+     --inputHITSFile ${HSHitsFile} \
+     --outputRDOFile ${DigiOutFileName} \
+     --inputHighPtMinbiasHitsFile ${HighPtMinbiasHitsFiles1} \
+     --inputHighPtMinbiasHitsFile ${HighPtMinbiasHitsFiles2} \
+     --inputHighPtMinbiasHitsFile ${HighPtMinbiasHitsFiles3} \
+     --inputHighPtMinbiasHitsFile ${HighPtMinbiasHitsFiles4} \
+     --inputLowPtMinbiasHitsFile ${LowPtMinbiasHitsFiles1} \
+     --inputLowPtMinbiasHitsFile ${LowPtMinbiasHitsFiles2} \
+     --inputLowPtMinbiasHitsFile ${LowPtMinbiasHitsFiles3} \
+     --inputLowPtMinbiasHitsFile ${LowPtMinbiasHitsFiles4} \
+     --multiprocess \
+     --PileUpPresampling True \
+     --conditionsTag "default:${conditions}" \
+     --geometryVersion "default:${geometry}" \
+     --digiSeedOffset1 170 --digiSeedOffset2 170 \
+     --digiSteeringConf 'StandardSignalOnlyTruth' \
+     --postInclude 'all:PyJobTransforms.UseFrontier' \
+     --preInclude 'HITtoRDO:Campaigns.MC23d' \
+     --splitConfig "HITtoRDO:Campaigns.BeamspotSplitMC23d" \
+     --skipEvents 0 \
+     --jobNumber 568 \
+     --maxEvents ${Events} \
+     --AMITag d1907 \
+     --skipEvents 0
+
+rc=$?
+status=$rc
+echo "art-result: $rc digiCA"
+
+# Initially we are just interested in whether the job still runs
+
+exit $status
-- 
GitLab


From a891e755c9ed5224e10f1cb79ce5362b40e99496 Mon Sep 17 00:00:00 2001
From: John Derek Chapman <chapman@hep.phy.cam.ac.uk>
Date: Fri, 21 Mar 2025 23:47:39 +0000
Subject: [PATCH 2/2] Apply 1 suggestion(s) to 1 file(s)

Co-authored-by: Thomas Strebler <thomas.strebler@cern.ch>
---
 Control/AthenaConfiguration/python/TestDefaults.py | 4 ++--
 1 file changed, 2 insertions(+), 2 deletions(-)

diff --git a/Control/AthenaConfiguration/python/TestDefaults.py b/Control/AthenaConfiguration/python/TestDefaults.py
index 958831de5b5f..8c0fc6e14bc8 100644
--- a/Control/AthenaConfiguration/python/TestDefaults.py
+++ b/Control/AthenaConfiguration/python/TestDefaults.py
@@ -49,8 +49,8 @@ class defaultTestFiles:
     RDO_BKG_RUN2 = [f"{d}/OverlayTests/PresampledPileUp/22.0/Run2/large/mc20_13TeV.900149.PG_single_nu_Pt50.digit.RDO.e8307_s3482_s3136_d1715/RDO.26811908._031801.pool.root.1"]
     RDO_BKG_RUN3_2022 = [f"{d}/CampaignInputs/mc23/RDO_BKG/mc23_13p6TeV.900149.PG_single_nu_Pt50.merge.RDO.e8514_e8528_s4112_d1865_d1858/100events.RDO.pool.root"] #mc23a
     RDO_BKG_RUN3_2023 = [f"{d}/CampaignInputs/mc23/RDO_BKG/mc23_13p6TeV.900149.PG_single_nu_Pt50.merge.RDO.e8514_e8528_s4153_d1907_d1908/100events.RDO.pool.root"] #mc23d
-    RDO_BKG_RUN3_2024 = RDO_BKG_2022 # Temporary Back-compatibility
-    RDO_BKG_RUN3 = RDO_BKG_2022 # Temporary Back-compatibility
+    RDO_BKG_RUN3_2024 = RDO_BKG_RUN3_2022 # Temporary Back-compatibility
+    RDO_BKG_RUN3 = RDO_BKG_RUN3_2022 # Temporary Back-compatibility
     RDO_BKG_RUN4 = [f"{d}/PhaseIIUpgrade/RDO_BKG/ATLAS-P2-RUN4-03-00-00/RUN4_presampling.mu200.withSuperCell.50events.RDO.pool.root"]
 
     ESD_RUN2_MC = [f"{d}/RecExRecoTest/mc16_13TeV.361022.Pythia8EvtGen_A14NNPDF23LO_jetjet_JZ2W.recon.ESD.e3668_s3170_r10572_homeMade.pool.root"] # MC16 TODO Update to MC20
-- 
GitLab